Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.BioRadioDevice Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Protected Member Functions | Properties | Events | List of all members
GLNeuroTech.Devices.BioRadio.BioRadioDevice Class Reference

This class represents the BioRadio device. It provides methods to connect, Configure and acquire signal data from a BioRadio device. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.BioRadioDevice:

## Public Member Functions

override void | StopAcquisition ()
| Stops the device from streaming data to the PC. More...
override void | StartAcquisition ()
| Starts acquisition of signal data from the device. More...
override bool | Connect ()
| Establishes a connection to the device. More...
override void | Disconnect ()
| Disconnect the application from the device More...
override void | SetDeviceTime ()
| Sends the current time to the device to synchronize with PC system time. More...
DateTime | GetDeviceTime ()
| Returns the current time stored on the device More...
BioRadioConfiguration | GetConfiguration ()
| Retrieves the current Configuration applied to the device. More...
void | SetConfiguration (string filePath)
| Accepts a file path to a file which contains an xml configuration and uses this file to set the configuration for the BioRadioDevice More...
void | SetConfiguration (Stream stream)
| Accepts a stream which contains an xml configuration and uses this stream to set the configuration for the BioRadioDevice More...
void | SetConfiguration (BioRadioConfiguration Config)
| This will be implemented as a wrapper around the 2 lower-level commands to set global and channel Configurations. More...
void | SaveConfiguration (string filePath)
| Saves the current configuration to a file as xml More...
void | SaveConfiguration (Stream stream)
| Writes the current configuration to a stream as xml More...
BatteryInfo | GetBatteryInfo ()
| Get the current battery information, including voltage, current, and charge state. More...

## Protected Member Functions

| BioRadioDevice ()

## Properties

Int64 | TotalPackets`[get, set]`
| The total number of packets received by the device. More...
SignalGroup | PulseOxSignals`[get]`
| The signal group that contains signals from PulseOx sensors, if any are configured. If no PulseOx sensors are available, this group is null. More...
SignalGroup | AuxiliarySignals`[get]`
| The signal group that contains signals from Auxiliary sensors, if any are configured. If no Auxiliary signals are available, this group will be null. More...
SignalGroup | BioPotentialSignals`[get]`
| The signal group that contains signals from Biopotential sensors, if any are enabled. More...
SignalGroup | MemsSignals`[get]`
| The signal group that contains signals from Motion sensors, if any are configured. More...
TimeSpan | TotalAcquisitionTime`[get]`
| Represents the total time elapsed since acquisition last began. This value is derived from the amount of data received from the device, and not on the system clock. More...
uint | LastPacketCount`[get, set]`
| The zero-based index of the last packet received from the device. More...
UInt64 | DroppedPacketCount`[get]`
| The number of dropped packets during streaming. More...

## Events

EventHandler< BioRadioButtonEventArgs > | EventMarkerButtonPushed
| Event Handler for Event Marker Push Button More...

## Detailed Description

This class represents the BioRadio device. It provides methods to connect, Configure and acquire signal data from a BioRadio device.

## Constructor & Destructor Documentation

## ◆ BioRadioDevice()

GLNeuroTech.Devices.BioRadio.BioRadioDevice.BioRadioDevice | ( |  | ) |

protected

## Member Function Documentation

## ◆ Connect()

override bool GLNeuroTech.Devices.BioRadio.BioRadioDevice.Connect | ( |  | ) |

Establishes a connection to the device.

</example>

## ◆ Disconnect()

override void GLNeuroTech.Devices.BioRadio.BioRadioDevice.Disconnect | ( |  | ) |

Disconnect the application from the device

## ◆ GetBatteryInfo()

BatteryInfo GLNeuroTech.Devices.BioRadio.BioRadioDevice.GetBatteryInfo | ( |  | ) |

Get the current battery information, including voltage, current, and charge state.

Returns
  BatteryInfo data structure

## ◆ GetConfiguration()

BioRadioConfiguration GLNeuroTech.Devices.BioRadio.BioRadioDevice.GetConfiguration | ( |  | ) |

Retrieves the current Configuration applied to the device.

</example>

## ◆ GetDeviceTime()

DateTime GLNeuroTech.Devices.BioRadio.BioRadioDevice.GetDeviceTime | ( |  | ) |

Returns the current time stored on the device

Returns

## ◆ SaveConfiguration() [1/2]

void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SaveConfiguration | ( | string | filePath | ) |

Saves the current configuration to a file as xml

Parameters

  filePath | The path to the file where the BioRadio configuration will be saved

## ◆ SaveConfiguration() [2/2]

void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SaveConfiguration | ( | Stream | stream | ) |

Writes the current configuration to a stream as xml

Parameters

  stream | The stream where the BioRadio configuration will be written

## ◆ SetConfiguration() [1/3]

void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SetConfiguration | ( | string | filePath | ) |

Accepts a file path to a file which contains an xml configuration and uses this file to set the configuration for the BioRadioDevice

Parameters

  filePath | The path to the file that contains the BioRadio configuration

</example>
<example>
This is an example of an XML representation of the device configuration.
<code lang="xml" source="..\BioRadioAPIExamples\ExampleBioRadioConfiguration.xml" />
</example>

## ◆ SetConfiguration() [2/3]

void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SetConfiguration | ( | Stream | stream | ) |

Accepts a stream which contains an xml configuration and uses this stream to set the configuration for the BioRadioDevice

Parameters

  stream | A stream that contains the BioRadio configuration

## ◆ SetConfiguration() [3/3]

void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SetConfiguration | ( | BioRadioConfiguration | Config | ) |

This will be implemented as a wrapper around the 2 lower-level commands to set global and channel Configurations.

Returns

</example>

## ◆ SetDeviceTime()

override void GLNeuroTech.Devices.BioRadio.BioRadioDevice.SetDeviceTime | ( |  | ) |

Sends the current time to the device to synchronize with PC system time.

The device must be unlocked for this command to have an effect.

## ◆ StartAcquisition()

override void GLNeuroTech.Devices.BioRadio.BioRadioDevice.StartAcquisition | ( |  | ) |

Starts acquisition of signal data from the device.

</example>

## ◆ StopAcquisition()

override void GLNeuroTech.Devices.BioRadio.BioRadioDevice.StopAcquisition | ( |  | ) |

Stops the device from streaming data to the PC.

## Property Documentation

## ◆ AuxiliarySignals

SignalGroup GLNeuroTech.Devices.BioRadio.BioRadioDevice.AuxiliarySignals

get

The signal group that contains signals from Auxiliary sensors, if any are configured. If no Auxiliary signals are available, this group will be null.

## ◆ BioPotentialSignals

SignalGroup GLNeuroTech.Devices.BioRadio.BioRadioDevice.BioPotentialSignals

get

The signal group that contains signals from Biopotential sensors, if any are enabled.

The signals in this group are indexed in the same order as the physical channels on the device.

## ◆ DroppedPacketCount

UInt64 GLNeuroTech.Devices.BioRadio.BioRadioDevice.DroppedPacketCount

get

The number of dropped packets during streaming.

## ◆ LastPacketCount

uint GLNeuroTech.Devices.BioRadio.BioRadioDevice.LastPacketCount

getset

The zero-based index of the last packet received from the device.

## ◆ MemsSignals

SignalGroup GLNeuroTech.Devices.BioRadio.BioRadioDevice.MemsSignals

get

The signal group that contains signals from Motion sensors, if any are configured.

## ◆ PulseOxSignals

SignalGroup GLNeuroTech.Devices.BioRadio.BioRadioDevice.PulseOxSignals

get

The signal group that contains signals from PulseOx sensors, if any are configured. If no PulseOx sensors are available, this group is null.

## ◆ TotalAcquisitionTime

TimeSpan GLNeuroTech.Devices.BioRadio.BioRadioDevice.TotalAcquisitionTime

get

Represents the total time elapsed since acquisition last began. This value is derived from the amount of data received from the device, and not on the system clock.

Returns

## ◆ TotalPackets

Int64 GLNeuroTech.Devices.BioRadio.BioRadioDevice.TotalPackets

getset

The total number of packets received by the device.

## Event Documentation

## ◆ EventMarkerButtonPushed

EventHandler<BioRadioButtonEventArgs> GLNeuroTech.Devices.BioRadio.BioRadioDevice.EventMarkerButtonPushed

Event Handler for Event Marker Push Button

</example>